#
# spec file for package ruby (Version 1.8.0)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         ruby
URL:          http://www.ruby-lang.org/
Version:      1.8.0
Release:      76
License:      GPL
Group:        Development/Languages/Other
Summary:      Interpreted object-oriented scripting language
Source0:      ruby-%{version}.tar.bz2
Patch0:       ruby-%{version}-gc.diff
Patch1:       ruby-%{version}-lib64.diff
Patch4:       ruby-1.8.0-1.8.2-lib_cgi.rb.diff
Patch5:       ruby-1.8.0-1.8.2-lib_cgi_session.rb.diff
Patch10:      ruby-1.8.2-xmlrpc-ipimethods-fix.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Ruby is the interpreted scripting language for quick and easy
object-oriented programming.  It has many features to process text
files and to do system management tasks (as in Perl).  It is simple,
straight-forward, and extensible.

* Features of Ruby

- Simple Syntax

- *Normal* Object-Oriented features (e.g., class, method calls)

- *Advanced* Object-Oriented features(e.g., Mix-in,
   Singleton-method)

- Operator Overloading

- Exception Handling

- Iterators and Closures

- Garbage Collection

- Dynamic Loading of Object Files (on some architecture)

- Highly Portable (works on many UN*X machines; DOS, Windows, Mac,
BeOS, etc.)



Authors:
--------
    Yukihiro Matsumoto <matz@netlab.co.jp>

%prep
%setup -q
%patch0 -p1 -b .gc
%patch1 -p1 -b .lib64
%patch4 -p2 -b .cgi
%patch5 -p2 -b .cgi_session
%patch10 -p 1

%build
autoreconf --install
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS="$RPM_OPT_FLAGS" 		\
./configure 				\
	--prefix=/usr 			\
	--libdir=/usr/%_lib		\
	--mandir=%{_mandir}		\
	--with-default-kcode=utf8	\
	--with-mantype=man		\
	--enable-shared 		\
	--enable-static 
make
make test

%install
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi
make DESTDIR=$RPM_BUILD_ROOT install
# gzip $RPM_BUILD_ROOT/%{_mandir}/man1/ruby.1
install -d $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/sample
install -m 644 sample/* $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/sample
install -d $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/misc
install -m 644 misc/* $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/misc
install -d $RPM_BUILD_ROOT/usr/share/emacs/site-lisp
install -m 644 misc/*.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp

%files
/usr/bin/erb
/usr/bin/irb
/usr/bin/ruby
%_libdir/ruby
%_libdir/libruby*
/usr/share/emacs/site-lisp/*
%doc %{_mandir}/man1/ruby.1.gz
%doc %{_defaultdocdir}/%{name}/

%changelog -n ruby
* Tue Jul 19 2005 - mge@suse.de
- Fixes #95366, CAN-2005-1992:
  arbitrary command execution on XMLRPC server
* Mon Jan 03 2005 - mge@suse.de
- added fixes for lib/cgi.rb and lib/cgi/session.rb
  from ruby-1.8.2, fixes: #47886 (CAN-2004-0983)
* Mon Aug 04 2003 - mge@suse.de
- update tp 1.8.0
* Mon Jan 06 2003 - mge@suse.de
- update to 1.6.8
* Tue May 21 2002 - meissner@suse.de
- More %%_lib fixes inside package.
* Tue May 21 2002 - meissner@suse.de
- %%_lib fixes
- Added prototype for rb_node_newnode.
* Fri May 17 2002 - mge@suse.de
- update to 1.6.7
* Mon Apr 15 2002 - bk@suse.de
- lib64 and new arch fixes: suse_update_config and use %%_libdir
* Fri Apr 05 2002 - schwab@suse.de
- Remove ia64 workaround.
* Tue Aug 21 2001 - mge@suse.de
- update to 1.6.4
* Sun May 20 2001 - mge@suse.de
- changes _only_ to spec-file:
- make ruby shared libs built
- cleanup ruby directory structure (drop /usr/share/lib/ruby/)
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Thu Mar 22 2001 - mge@suse.de
- update to 1.6.3, merge of rread's SPEC patches
* Mon Mar 19 2001 - schwab@suse.de
- Don't use __builtin_frame_address(2) on ia64.
- Compile with -O0 on ia64 to work around compiler bug.
* Mon Mar 05 2001 - rread@mountainviewdata.com
- introduced build-root
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Fri Jan 12 2001 - mge@suse.de
- update to 1.6.2
* Wed Dec 13 2000 - schwab@suse.de
- Add %%suse_update_config.
- Fix computation of stack limit.
* Mon Dec 04 2000 - mge@suse.de
- update to 1.6.1, manual 1.4.6
* Thu Jul 06 2000 - mge@suse.de
- initial SuSE RPM
